org.apache.cassandra.index.sasi.analyzer.filter

## Class FilterPipelineExecutor

- java.lang.Object
- - org.apache.cassandra.index.sasi.analyzer.filter.FilterPipelineExecutor

    public class FilterPipelineExecutor
    extends java.lang.Object

Executes all linked Pipeline Tasks serially and returns output (if exists) from the executed logic

### Constructor Summary

Constructors
Constructor and Description
`FilterPipelineExecutor()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <F,T> T` `execute(FilterPipelineTask<F,T> task, T initialInput)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterPipelineExecutor

    public FilterPipelineExecutor()

### Method Detail

#### execute

    public static <F,T> T execute(FilterPipelineTask<F,T> task,
                                  T initialInput)